package com.example.demo.response;

/**
 * spring security 专用的响应
 * @author weiximei
 */
public class SecurityResponse {
    /** 状态码 **/
    private int code = 200;

    /** 消息体 **/
    private String data;

    public String getData() {
        return data;
    }

    public void setData(String data) {
        this.data = data;
    }

    public int getCode() {
        return code;
    }

    public void setCode(int code) {
        this.code = code;
    }


    public SecurityResponse(int code, String data) {
        this.code = code;
        this.data = data;
    }

    public SecurityResponse(String data) {
        this.data = data;
    }

    public SecurityResponse() {
    }
}
